Subject: [TR] TR3 Mystery Part and TR3 Bonnet Latch

From: Keith Stewart <[email-masked]>
Date: Mon, 22 Jul 2013 21:53:56 -0400

When I took the 57 TR3 out of storage this season, I found a spring on the
floor in the drivers compartment. I have no idea where it came from - any
ideas?

It can be seen at:
http://www.triumphowners.com/registry.cgi?sectionID=111014&vehicleID=1881

There are about 5 coils, the length is about 1.875 in. in length and just
under 1 in. in diameter.

Question #2, the latch on the bonnet broke off. Any thoughts on removal from
the bracket and suggestions for reattachment.

As always, thanks in advance for your help.

Keith Stewart
keithstewartATexeculinkDOTcom

** [email-masked] **

Archive: http://www.team.net/archive